> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supermetrics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create team list

> Create a new team list

## OpenAPI

````json POST /team/list
{
  "openapi": "3.0.3",
  "info": {
    "title": "Management API Reference",
    "version": "2.0.0",
    "description": "API Documentation for the Supermetrics Management API. For more information, visit https://supermetrics.com.",
    "termsOfService": "https://supermetrics.com/terms-of-service",
    "contact": {
      "name": "Supermetrics Suppot",
      "email": "support@supermetrics.com",
      "url": "https://supermetrics.com/support"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "x-api-id": "sm-management-api",
    "x-audience": "public"
  },
  "servers": [
    {
      "url": "https://api.supermetrics.com/v2",
      "description": "Global production public Supermetrics Management API base path.",
      "x-internal": "false"
    }
  ],
  "tags": [
    {
      "name": "API Keys",
      "description": "Manage API keys to access Supermetrics API"
    },
    {
      "name": "Data Source Logins",
      "description": "Access your data source authentications"
    },
    {
      "name": "Data Source Login Links",
      "description": "Create single-use data source login links"
    },
    {
      "name": "Saved Queries",
      "description": "Manage queries saved in Query Manager"
    },
    {
      "name": "Table Groups",
      "description": "Manage your team's table groups"
    },
    {
      "name": "Team Lists",
      "description": "Manage centralized team lists for your queries"
    },
    {
      "name": "Team Settings",
      "description": "Configure general settings for your team"
    },
    {
      "name": "Data Transfers",
      "description": "Create, configure, and manage Data Warehouse transfers"
    },
    {
      "name": "Transfer Runs",
      "description": "Monitor execution history of Data Warehouse transfers"
    },
    {
      "name": "Data Backfills",
      "description": "Manage historical data backfills for your Data Warehouse transfers"
    },
    {
      "name": "Data Destinations",
      "description": "Create, configure, and manage Data Warehouse destinations"
    },
    {
      "name": "Data Source Connections",
      "description": "Create and manage data source connections for Data Warehouse transfers"
    },
    {
      "name": "Data Blending",
      "description": "Create and manage Data Blending"
    },
    {
      "name": "Custom Fields",
      "description": "Create and manage Custom Fields"
    }
  ],
  "externalDocs": {
    "description": "Find out more about Supermetrics Management API",
    "url": "https://docs.supermetrics.com/apidocs/management-api"
  },
  "paths": {
    "/team/list": {
      "post": {
        "summary": "Create team list",
        "description": "Create a new team list",
        "operationId": "createTeamList",
        "tags": [
          "Team Lists"
        ],
        "security": [
          {
            "BearerAuth": []
          }
        ],
        "requestBody": {
          "description": "Team list creation parameters including identifier, name, and type configuration",
          "required": "true",
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "list_slug",
                  "list_name",
                  "list_type"
                ],
                "properties": {
                  "list_slug": {
                    "type": "string",
                    "maxLength": "50",
                    "pattern": "^[A-Za-z0-9_]+$",
                    "description": "User-defined ID, used to reference list in queries. Restricted to characters A-Z, a-z, 0-9 and _."
                  },
                  "list_name": {
                    "type": "string",
                    "maxLength": "255",
                    "description": "List name, used in product UI."
                  },
                  "list_type": {
                    "type": "string",
                    "description": "List type.",
                    "enum": [
                      "account_ids"
                    ]
                  },
                  "ds_id": {
                    "type": "string",
                    "maxLength": "50",
                    "pattern": "^[A-Za-z0-9_-]+$",
                    "description": "Data source ID. If not provided or empty string, list is global and available for all data sources."
                  },
                  "show_in_products": {
                    "oneOf": [
                      {
                        "type": "string",
                        "enum": [
                          "API",
                          "DWH",
                          "MND"
                        ]
                      },
                      {
                        "type": "array",
                        "maxItems": "10",
                        "items": {
                          "type": "string",
                          "enum": [
                            "API",
                            "DWH",
                            "MND"
                          ]
                        }
                      }
                    ],
                    "description": "List of Supermetrics products this list should be shown in. If not provided or empty list, not shown in any product."
                  }
                }
              },
              "example": {
                "list_slug": "marketing_accounts",
                "list_name": "Marketing Team Account IDs",
                "list_type": "account_ids",
                "ds_id": "GAWA",
                "show_in_products": [
                  "API",
                  "DWH"
                ]
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Team list created successfully",
            "headers": {
              "Content-Type": {
                "$ref": "#/components/headers/Content-Type"
              },
              "X-RateLimit-Limit": {
                "$ref": "#/components/headers/X-RateLimit-Limit"
              },
              "X-RateLimit-Remaining": {
                "$ref": "#/components/headers/X-RateLimit-Remaining"
              },
              "Access-Control-Allow-Origin": {
                "$ref": "#/components/headers/Access-Control-Allow-Origin"
              },
              "Location": {
                "$ref": "#/components/headers/Location"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TeamListResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/ListSlugInvalid"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "409": {
            "description": "Team list slug conflict",
            "headers": {
              "Content-Type": {
                "$ref": "#/components/headers/Content-Type"
              },
              "X-RateLimit-Limit": {
                "$ref": "#/components/headers/X-RateLimit-Limit"
              },
              "X-RateLimit-Remaining": {
                "$ref": "#/components/headers/X-RateLimit-Remaining"
              },
              "Access-Control-Allow-Origin": {
                "$ref": "#/components/headers/Access-Control-Allow-Origin"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ListSlugExistsError"
                    },
                    {
                      "$ref": "#/components/schemas/ListSlugReservedError"
                    }
                  ]
                }
              }
            }
          },
          "422": {
            "$ref": "#/components/responses/UnprocessableEntity"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ListCreateFailed"
          }
        }
      }
    }
  },
  "components": {
    "headers": {
      "Content-Type": {
        "description": "HTTP response content type",
        "schema": {
          "type": "string",
          "maxLength": "255",
          "enum": [
            "application/json"
          ],
          "example": "application/json"
        }
      },
      "X-RateLimit-Limit": {
        "description": "Request limit per hour",
        "schema": {
          "type": "integer",
          "format": "int32",
          "minimum": "1",
          "maximum": "10000",
          "example": "100"
        }
      },
      "X-RateLimit-Remaining": {
        "description": "Remaining requests in current window",
        "schema": {
          "type": "integer",
          "format": "int32",
          "minimum": "0",
          "maximum": "10000",
          "example": "49"
        }
      },
      "Access-Control-Allow-Origin": {
        "description": "CORS header",
        "schema": {
          "type": "string",
          "maxLength": "255",
          "enum": [
            "*"
          ],
          "example": "*"
        }
      },
      "Location": {
        "description": "API URL of the created item",
        "schema": {
          "type": "string",
          "maxLength": "255",
          "example": "items/{id}"
        }
      }
    },
    "schemas": {
      "TeamListResponse": {
        "type": "object",
        "properties": {
          "meta": {
            "$ref": "#/components/schemas/ResponseMeta"
          },
          "data": {
            "$ref": "#/components/schemas/TeamList"
          }
        }
      },
      "ListSlugExistsError": {
        "type": "object",
        "properties": {
          "error": {
            "type": "string",
            "maxLength": "100",
            "enum": [
              "LIST_SLUG_EXISTS"
            ],
            "description": "Team list slug already exists for specified data source ID"
          },
          "message": {
            "type": "string",
            "maxLength": "255"
          }
        }
      },
      "ListSlugReservedError": {
        "type": "object",
        "properties": {
          "error": {
            "type": "string",
            "maxLength": "100",
            "enum": [
              "LIST_SLUG_RESERVED"
            ],
            "description": "Team list slug is reserved for system use"
          },
          "message": {
            "type": "string",
            "maxLength": "255"
          }
        }
      },
      "ResponseMeta": {
        "type": "object",
        "properties": {
          "request_id": {
            "type": "string",
            "maxLength": "50",
            "pattern": "^[A-Za-z0-9_-]+$",
            "description": "API request ID"
          }
        }
      },
      "TeamList": {
        "type": "object",
        "properties": {
          "list_id": {
            "type": "string",
            "maxLength": "50",
            "description": "Supermetrics list ID"
          },
          "list_slug": {
            "type": "string",
            "maxLength": "50",
            "description": "User-defined ID, used to reference list in queries"
          },
          "list_name": {
            "type": "string",
            "maxLength": "255",
            "description": "List name"
          },
          "list_type": {
            "type": "string",
            "maxLength": "50",
            "description": "List type",
            "enum": [
              "account_ids"
            ]
          },
          "ds_id": {
            "type": "string",
            "maxLength": "50",
            "description": "Data source ID. Empty string when list is global."
          },
          "ds_name": {
            "type": "string",
            "maxLength": "255",
            "description": "Data source name. Empty string when list is global."
          },
          "show_in_products": {
            "type": "array",
            "maxItems": "100",
            "description": "List of Supermetrics products this list should be shown in. If empty, not shown in any product.",
            "items": {
              "type": "string",
              "maxLength": "100",
              "enum": [
                "API",
                "DWH",
                "MND"
              ]
            }
          }
        }
      },
      "ErrorResponse": {
        "type": "object",
        "properties": {
          "meta": {
            "$ref": "#/components/schemas/ResponseMeta"
          },
          "error": {
            "$ref": "#/components/schemas/Error"
          }
        }
      },
      "Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "maxLength": "100",
            "description": "Error code"
          },
          "message": {
            "type": "string",
            "maxLength": "255",
            "description": "Error message"
          },
          "description": {
            "type": "string",
            "maxLength": "255",
            "description": "Error description"
          }
        }
      }
    },
    "responses": {
      "ListSlugInvalid": {
        "description": "List Slug Invalid",
        "headers": {
          "Content-Type": {
            "$ref": "#/components/headers/Content-Type"
          },
          "X-RateLimit-Limit": {
            "$ref": "#/components/headers/X-RateLimit-Limit"
          },
          "X-RateLimit-Remaining": {
            "$ref": "#/components/headers/X-RateLimit-Remaining"
          },
          "Access-Control-Allow-Origin": {
            "$ref": "#/components/headers/Access-Control-Allow-Origin"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "error": {
                  "type": "string",
                  "maxLength": "100",
                  "enum": [
                    "LIST_SLUG_INVALID"
                  ]
                },
                "message": {
                  "type": "string",
                  "maxLength": "255"
                }
              }
            }
          }
        }
      },
      "Unauthorized": {
        "description": "Unauthorized - invalid or missing authentication",
        "headers": {
          "Content-Type": {
            "$ref": "#/components/headers/Content-Type"
          },
          "X-RateLimit-Limit": {
            "$ref": "#/components/headers/X-RateLimit-Limit"
          },
          "X-RateLimit-Remaining": {
            "$ref": "#/components/headers/X-RateLimit-Remaining"
          },
          "Access-Control-Allow-Origin": {
            "$ref": "#/components/headers/Access-Control-Allow-Origin"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      },
      "UnprocessableEntity": {
        "description": "Unprocessable Entity - request validation failed",
        "headers": {
          "Content-Type": {
            "$ref": "#/components/headers/Content-Type"
          },
          "X-RateLimit-Limit": {
            "$ref": "#/components/headers/X-RateLimit-Limit"
          },
          "X-RateLimit-Remaining": {
            "$ref": "#/components/headers/X-RateLimit-Remaining"
          },
          "Access-Control-Allow-Origin": {
            "$ref": "#/components/headers/Access-Control-Allow-Origin"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      },
      "TooManyRequests": {
        "description": "Too Many Requests - rate limit exceeded",
        "headers": {
          "Content-Type": {
            "$ref": "#/components/headers/Content-Type"
          },
          "X-RateLimit-Limit": {
            "$ref": "#/components/headers/X-RateLimit-Limit"
          },
          "X-RateLimit-Remaining": {
            "$ref": "#/components/headers/X-RateLimit-Remaining"
          },
          "Retry-After": {
            "schema": {
              "type": "integer",
              "format": "int32",
              "minimum": "1",
              "maximum": "3600"
            },
            "description": "Number of seconds to wait before making another request"
          },
          "Access-Control-Allow-Origin": {
            "$ref": "#/components/headers/Access-Control-Allow-Origin"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      },
      "ListCreateFailed": {
        "description": "List Create Failed",
        "headers": {
          "Content-Type": {
            "$ref": "#/components/headers/Content-Type"
          },
          "X-RateLimit-Limit": {
            "$ref": "#/components/headers/X-RateLimit-Limit"
          },
          "X-RateLimit-Remaining": {
            "$ref": "#/components/headers/X-RateLimit-Remaining"
          },
          "Access-Control-Allow-Origin": {
            "$ref": "#/components/headers/Access-Control-Allow-Origin"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "error": {
                  "type": "string",
                  "maxLength": "100",
                  "enum": [
                    "LIST_CREATE_FAILED"
                  ]
                },
                "message": {
                  "type": "string",
                  "maxLength": "255"
                }
              }
            }
          }
        }
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token authentication. Include the token in the Authorization header:\n`Authorization: Bearer <your-token>`\n"
      }
    }
  }
}
````

